Docs home

Course Categories

Returns your institute's course categories, each with its sub-categories and how many published courses are in each. Use it to build a category menu on your website.

GET/builder/institute/{institutionId}/course/categories
Course Categories
curl --request GET \
  --url 'https://<your-api-host>/nuSource/api/v1/builder/institute/{institutionId}/course/categories'
{
  "code": 200,
  "message": "Success",
  "category": [
    {
      "stream_id": 240,
      "stream_name": "Computer Science",
      "is_public": 0,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 259,
          "exam_name": "Information Science",
          "exam_stream_id": "240",
          "is_public": 0,
          "is_internal": 1,
          "course_count": 3
        }
      ]
    },
    {
      "stream_id": 6,
      "stream_name": "SSC",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": []
    },
    {
      "stream_id": 5,
      "stream_name": "Banking",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": []
    },
    {
      "stream_id": 2,
      "stream_name": "Commerce",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 2,
          "exam_name": "CA CPT",
          "exam_stream_id": "2",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 14
        }
      ]
    },
    {
      "stream_id": 1,
      "stream_name": "Science",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 1,
          "exam_name": "General",
          "exam_stream_id": "1",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 150
        },
        {
          "exam_id": 7,
          "exam_name": "VIII (CBSE)",
          "exam_stream_id": "1",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 18
        },
        {
          "exam_id": 9,
          "exam_name": "X (CBSE)",
          "exam_stream_id": "1",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 9
        },
        {
          "exam_id": 52,
          "exam_name": "UPSEE",
          "exam_stream_id": "1",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 9
        },
        {
          "exam_id": 71,
          "exam_name": "MCQ Question",
          "exam_stream_id": "1",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 12
        },
        {
          "exam_id": 72,
          "exam_name": "Exercise 2: 1MCQ Question",
          "exam_stream_id": "1",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 7
        },
        {
          "exam_id": 74,
          "exam_name": "Testing",
          "exam_stream_id": "1",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 6
        },
        {
          "exam_id": 97,
          "exam_name": "Subjective",
          "exam_stream_id": "1",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 1
        },
        {
          "exam_id": 385,
          "exam_name": "support",
          "exam_stream_id": "1",
          "is_public": 0,
          "is_internal": 1,
          "course_count": 0
        }
      ]
    },
    {
      "stream_id": 4,
      "stream_name": "Others",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": []
    },
    {
      "stream_id": 9,
      "stream_name": "CBA",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 75,
          "exam_name": "CBA",
          "exam_stream_id": "9",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 5
        }
      ]
    },
    {
      "stream_id": 7,
      "stream_name": "Railways",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": []
    },
    {
      "stream_id": 237,
      "stream_name": "BBA",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 256,
          "exam_name": "DigiMarketing",
          "exam_stream_id": "236,237",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 3
        }
      ]
    },
    {
      "stream_id": 8,
      "stream_name": "LAW",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": []
    },
    {
      "stream_id": 20,
      "stream_name": "ADCA",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 77,
          "exam_name": "ADCA",
          "exam_stream_id": "20",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 4
        }
      ]
    },
    {
      "stream_id": 21,
      "stream_name": "CGA",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 78,
          "exam_name": "CGA",
          "exam_stream_id": "21",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 2
        }
      ]
    },
    {
      "stream_id": 22,
      "stream_name": "Digital Marketing",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 79,
          "exam_name": "Digital Marketing",
          "exam_stream_id": "22,24",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 4
        }
      ]
    },
    {
      "stream_id": 23,
      "stream_name": "DCHN",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 80,
          "exam_name": "Diploma",
          "exam_stream_id": "23",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 2
        }
      ]
    },
    {
      "stream_id": 241,
      "stream_name": "Big data Engineering",
      "is_public": 0,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 260,
          "exam_name": "Hadoop",
          "exam_stream_id": "241",
          "is_public": 0,
          "is_internal": 1,
          "course_count": 1
        }
      ]
    },
    {
      "stream_id": 24,
      "stream_name": "IT",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 79,
          "exam_name": "Digital Marketing",
          "exam_stream_id": "22,24",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 4
        },
        {
          "exam_id": 81,
          "exam_name": "IT",
          "exam_stream_id": "24",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 2
        }
      ]
    },
    {
      "stream_id": 25,
      "stream_name": "Tally",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 76,
          "exam_name": "Tally",
          "exam_stream_id": "25",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 2
        },
        {
          "exam_id": 88,
          "exam_name": "online flow",
          "exam_stream_id": "25,31",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 2
        }
      ]
    },
    {
      "stream_id": 26,
      "stream_name": "test",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": []
    },
    {
      "stream_id": 31,
      "stream_name": "online Flow ",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 88,
          "exam_name": "online flow",
          "exam_stream_id": "25,31",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 2
        }
      ]
    },
    {
      "stream_id": 236,
      "stream_name": "MBA",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": [
        {
          "exam_id": 255,
          "exam_name": "HumanResource",
          "exam_stream_id": "236",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 7
        },
        {
          "exam_id": 256,
          "exam_name": "DigiMarketing",
          "exam_stream_id": "236,237",
          "is_public": 1,
          "is_internal": 1,
          "course_count": 3
        }
      ]
    },
    {
      "stream_id": 235,
      "stream_name": "newtesttag",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": []
    },
    {
      "stream_id": 242,
      "stream_name": "Cat Add test",
      "is_public": 0,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": []
    },
    {
      "stream_id": 3,
      "stream_name": "Arts",
      "is_public": 1,
      "img_url": "https://edmingle-website.b-cdn.net/img/logo.png",
      "sub_categories": []
    }
  ],
  "no_of_organization": 27
}

Access: Public, no API key needed.

Path parameters
institutionIdintegerrequired
Your institution ID.
Response200application/json
codeinteger
Example: 200
messagestring
Example: Success
categoryobject[]
One entry per category
Show child attributesHide child attributes
Example: 240
Example: Computer Science
Example: 0
Currently always a generic placeholder image
Example: https://edmingle-website.b-cdn.net/img/logo.png
Show child attributesHide child attributes
Example: Information Science
Published courses tagged with it
Example: 3
Number of organizations in the institution
Example: 27

Notes: When called from the web or mobile apps, course_count only counts courses open for registration on that platform. Rate limit: 30 requests per 1 minute; going over locks you out for 30 minutes.

Updated yesterday

Ask AI